org.apache.hadoop.security.token.delegation.web

## Class DelegationTokenAuthenticatedURL.Token

- java.lang.Object
- - org.apache.hadoop.security.authentication.client.AuthenticatedURL.Token
  - - org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticatedURL.Token

- Enclosing class:
    DelegationTokenAuthenticatedURL

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public static class DelegationTokenAuthenticatedURL.Token
      extends org.apache.hadoop.security.authentication.client.AuthenticatedURL.Token

  Client side authentication token that handles Delegation Tokens.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token<AbstractDelegationTokenIdentifier>` | `getDelegationToken()`
    `void` | `setDelegationToken(Token<AbstractDelegationTokenIdentifier> delegationToken)`

    - ### Methods inherited from class org.apache.hadoop.security.authentication.client.AuthenticatedURL.Token

      `isSet, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Token

          public Token()

  - ### Method Detail

    - #### getDelegationToken

          public Token<AbstractDelegationTokenIdentifier> getDelegationToken()

    - #### setDelegationToken

          public void setDelegationToken(Token<AbstractDelegationTokenIdentifier> delegationToken)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.